<?xml version="1.0" ?>

<feature-spec xmlns="urn:jboss:galleon:feature-spec:1.0" name="subsystem.messaging-activemq.discovery-group">
    <annotation name="jboss-op">
        <elem name="name" value="add"/>
        <elem name="op-params" value="initial-wait-timeout,jgroups-channel,jgroups-cluster,jgroups-stack,refresh-timeout,socket-binding"/>
        <elem name="addr-params" value="profile,subsystem,discovery-group"/>
    </annotation>
    <annotation name="feature-branch">
        <elem name="id" value="subsystem.messaging-activemq"/>
    </annotation>
    <provides>
        <capability name="$profile.org.wildfly.messaging.activemq.discovery-group.messaging-activemq.$discovery-group"/>
    </provides>
    <requires>
        <capability name="$profile.org.wildfly.clustering.command-dispatcher-factory.$jgroups-channel" optional="true"/>
        <capability name="$profile.org.wildfly.clustering.jgroups.channel-factory.$jgroups-stack" optional="true"/>
    </requires>
    <refs>
        <ref feature="subsystem.messaging-activemq"/>
        <ref feature="profile" nillable="true"/>
    </refs>
    <params>
        <param name="discovery-group" feature-id="true"/>
        <param name="refresh-timeout" nillable="true"/>
        <param name="jgroups-cluster" nillable="true"/>
        <param name="socket-binding" nillable="true"/>
        <param name="initial-wait-timeout" nillable="true"/>
        <param name="profile" feature-id="true" default="GLN_UNDEFINED"/>
        <param name="subsystem" feature-id="true" default="messaging-activemq"/>
        <param name="jgroups-stack" nillable="true"/>
        <param name="jgroups-channel" nillable="true"/>
    </params>
</feature-spec>